=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=cutefish-kwin-plugins
pkgver=0.4
pkgrel=2
pkgdesc="CutefishOS KWin Plugins"
arch=('x86_64')
url="https://github.com/cutefishos/kwin-plugins"
license=('GPL')
groups=('cutefish')
conflicts=('deepin-kwin')
depends=('kconfig' 'kdecoration' 'kguiaddons' 'kcoreaddons' 'kconfigwidgets' 'kwindowsystem'
         'kwayland' 'kwin'
         # qml:
         'fishui' 'kdeclarative' 'plasma-framework')
makedepends=('extra-cmake-modules' 'ninja' 'qt5-tools')
source=("https://github.com/cutefishos/kwin-plugins/archive/$pkgver/$pkgname-$pkgver.tar.gz")
sha512sums=('706caae9607670fcc23eb540fbaa6c6d6443a03dc166cce2dc35a5e5eb5006ef11b52325ecdb6f620bc64eb9b2ae62a7d8f28a4e248c4c7b8f8c733c58c237e7')

build() {
  cd kwin-plugins-$pkgver

  cmake -GNinja -DCMAKE_INSTALL_PREFIX=/usr .
  ninja
}

package() {
  cd kwin-plugins-$pkgver
  DESTDIR="$pkgdir" ninja install
}
